 Member
_ABCDllMode_  EQUATE(0)
_ABCLinkMode_ EQUATE(1)

 Map
 end

!Includes this class and others
 include('ProcessOrderCl.inc')

!global data for this module
Return:Benign equate(0)
Return:Fatal  equate(3)
Return:Notify equate(5)

!-------------------------------------------------------------
!---Start of ProcessOrder class
!-------------------------------------------------------------
ProcessOrderClType.Init                  Procedure(FldMgrClType pOrderFldMgr, FldMgrClType pDetailFldMgr, FldMgrClType pInventoryFldmgr)
  Code
  SELF.OrderFldMgr     &= pOrderFldMgr
  SELF.DetailFldMgr    &= pDetailFldMgr
  SELF.InventoryFldMgr &= pInventoryFldMgr
  Return

ProcessOrderClType.Kill              Procedure()
!destroy any dynamic objects and clean up
  Code
  RETURN

ProcessOrderClType.DoIt             procedure()
EstShipDate      Long,auto
LastDetailParent long,auto
AvailDate        long,auto
  code
  SELF.OrderFldMgr.SetKey('keyOnOrderSysid')
  loop
    If SELF.OrderFldMgr.Next() then break.
    LastDetailParent=SELF.OrderFldMgr.GetField('Sysid')
    Clear(EstShipDate)
    SELF.DetailFldMgr.SetField('ParentSysid',LastDetailParent)
    SELF.DetailFldMgr.Setkey('DetailKey','DetailKey')
    Loop
      If SELF.DetailFldMgr.Next() or SELF.DetailFldMgr.GetField('ParentSysid')<>LastDetailParent then
        SELF.OrderFldMgr.SetField('EstShipDate',EstShipDate)
        SELF.OrderFldMgr.Update()
     Message('Update Date: '&format(EstShipDate,@d2))
        Break
      end
      SELF.InventoryFldMgr.SetField('ProductID',SELF.DetailFldMgr.GetField('ProductID') )
      If ~SELF.InventoryFldMgr.Fetch('KeyOnProductID') then
        AvailDate = SELF.InventoryFldMgr.GetField('AvailDate')
        If SELF.InventoryFldMgr.GetField('QtyOnHand')<=SELF.DetailFldMgr.GetField('QtyOrdered') and |
        AvailDate>EstShipDate then EstShipDate = AvailDate.
      end
    End !Detail loop
  End !Order loop
  Return
